Ativar app
curl --request POST \
--url https://mcapi.knewcms.com:2087/lines/active/app \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"nameApp": "<string>",
"mac": "<string>",
"namePlaylist": "<string>",
"id_user": 123
}
'import requests
url = "https://mcapi.knewcms.com:2087/lines/active/app"
payload = {
"nameApp": "<string>",
"mac": "<string>",
"namePlaylist": "<string>",
"id_user": 123
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({nameApp: '<string>', mac: '<string>', namePlaylist: '<string>', id_user: 123})
};
fetch('https://mcapi.knewcms.com:2087/lines/active/app', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}
Clientes
Ativar app
Este endpoint permite ativar aplicativos.
POST
/
lines
/
active
/
app
Ativar app
Como utilizar este endpoint?
Esse endpoint ativa varios aplicativos dentro da plataforma .Headers obrigatórios
string
required
O token de autenticação no formato Bearer é obrigatório para acessar este
endpoint.
Exemplo de Requisição
POST https://mcapi.knewcms.com:2087/lines/active/app
Headers:
{
"Authorization": "Bearer seu_token_aqui",
"Content-Type": "application/json"
}
Payload:
{
"nameApp": "Kplay",
"mac": "12:12:12:12:12",
"namePlaylist": "test",
"id_user": 102313925
}
Parâmetros do corpo da requisição (Payload)
string
required
Nome do aplicativo a ser ativado. OPções disponíveis:
BrasilIPTV, EasyPlayer, IPTVPlus, IPTVNextPlayer, IPTVPlayerio,
IPTVProPlayer, IPTVStarPlayer, IPlayer, OttPlayer, TVVision, TiviPlayerIPTV, IPTV4K
string
required
Mac do cliente
string
required
Nome da playlist a ser ativada.
number
required
Id do cliente a ser ativado.
{
"success": true
}
⌘I